## ros-r2b2-depthimage-to-laserscan 1.0.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(depthimage_to_laserscan)
if(NOT WIN32)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14 -Wall -Wextra -Wpedantic")
endif()

find_package(ament_cmake_ros REQUIRED)

find_package(image_geometry REQUIRED)
find_package(OpenCV REQUIRED)
find_package(rclcpp REQUIRED)
find_package(sensor_msgs REQUIRED)

include_directories(include)

add_library(DepthImageToLaserScan
  src/DepthImageToLaserScan.cpp
)
ament_target_dependencies(DepthImageToLaserScan
  "image_geometry"
  "OpenCV"
  "sensor_msgs"
)

add_library(DepthImageToLaserScanROS
  src/DepthImageToLaserScanROS.cpp
)
ament_target_dependencies(DepthImageToLaserScanROS
  "rclcpp"
)
target_link_libraries(DepthImageToLaserScanROS DepthImageToLaserScan)

add_executable(depthimage_to_laserscan_node
  src/depthimage_to_laserscan.cpp
)
target_link_libraries(depthimage_to_laserscan_node
  DepthImageToLaserScan
  DepthImageToLaserScanROS
)

install(DIRECTORY include/
  DESTINATION include
)

install(TARGETS DepthImageToLaserScan DepthImageToLaserScanROS depthimage_to_laserscan_node
  EXPORT export_depthimage_to_laserscan_node
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)

  ament_add_gtest(${PROJECT_NAME}-test test/DepthImageToLaserScanTest.cpp)
  target_link_libraries(${PROJECT_NAME}-test DepthImageToLaserScan)
endif()

ament_export_include_directories(include)
ament_export_libraries(DepthImageToLaserScan DepthImageToLaserScanROS)
ament_package()

=== debian/changelog ===
ros-r2b2-depthimage-to-laserscan (1.0.7-3xenial) xenial; urgency=high

  * Merge pull request #11 <https://github.com/ros-perception/depthimage_to_laserscan/issues/11> from ros-perception/hydro-devel
    Update indigo devel with angle fix
  * Merge pull request #8 <https://github.com/ros-perception/depthimage_to_laserscan/issues/8> from vliedel/hydro-devel
    fixed angle_increment
  * fixed angle_increment
  * Merge pull request #7 <https://github.com/ros-perception/depthimage_to_laserscan/issues/7> from bulwahn/hydro-devel
    check for CATKIN_ENABLE_TESTING
  * check for CATKIN_ENABLE_TESTING
  * Added ARCHIVE DESTINATION
  * Contributors: Chad Rockey, Lukas Bulwahn, vliedel

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 16 Jun 2014 04:00:00 -0000

ros-r2b2-depthimage-to-laserscan (1.0.6-3xenial) xenial; urgency=high

  * Removed y component from projected beam radius.

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 31 Oct 2013 04:00:00 -0000

ros-r2b2-depthimage-to-laserscan (1.0.5-3xenial) xenial; urgency=high

  * No more Willow Garage email.
  * Merge pull request #4 <https://github.com/ros-perception/depthimage_to_laserscan/issues/4> from ericperko/groovy-devel
    Cleaned up CMakeLists a bit
  * Cleaned up CMakeLists a bit

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 21 Aug 2013 04:00:00 -0000

ros-r2b2-depthimage-to-laserscan (1.0.4-3xenial) xenial; urgency=high

  * Update version to 1.0.4
  * Merge pull request #3 <https://github.com/ros-perception/depthimage_to_laserscan/issues/3> from ahendrix/fix_testdeps
    Fix testdeps
  * Removed redundant test-depends.
  * Remove old makefile.

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 22 Jan 2013 05:00:00 -0000

ros-r2b2-depthimage-to-laserscan (1.0.3-3xenial) xenial; urgency=high

  * fix exported libraries (fix #2 <https://github.com/ros-perception/depthimage_to_laserscan/issues/2>)

 -- Chris Lalancette <clalancette@osrfoundation.org>  Sun, 23 Dec 2012 05:00:00 -0000

ros-r2b2-depthimage-to-laserscan (1.0.2-3xenial) xenial; urgency=high

  * fix dyn reconf
  * Updated description.
  * Updated readme to link to wiki.

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 19 Dec 2012 05:00:00 -0000

ros-r2b2-depthimage-to-laserscan (1.0.1-3xenial) xenial; urgency=high

  * Update package.xml
    New release for missing catkin build_depend.
  * Merge pull request #1 <https://github.com/ros-perception/depthimage_to_laserscan/issues/1> from ablasdel/groovy-devel
    updated catkin buildtool_depend
  * updated catkin buildtool_depend

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 14 Dec 2012 05:00:00 -0000

ros-r2b2-depthimage-to-laserscan (1.0.0-3xenial) xenial; urgency=high

  * Cleanup of the CMakeLists.txt
  * First attempt at Catkinizing.
  * Pushing fuerte-devel to github.
  * Initial commit

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 05 Dec 2012 05:00:00 -0000

=== debian/control ===
Source: ros-r2b2-depthimage-to-laserscan
Section: misc
Priority: extra
Maintainer: Chris Lalancette <clalancette@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libopencv-dev, ros-r2b2-ament-cmake-gtest, ros-r2b2-ament-cmake-ros, ros-r2b2-image-geometry, ros-r2b2-rclcpp, ros-r2b2-sensor-msgs, ros-r2b2-ros-workspace
Homepage: http://ros.org/wiki/depthimage_to_laserscan
Standards-Version: 3.9.2

Package: ros-r2b2-depthimage-to-laserscan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopencv-dev, ros-r2b2-image-geometry, ros-r2b2-rclcpp, ros-r2b2-sensor-msgs, ros-r2b2-ros-workspace
Description: depthimage_to_laserscan

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/r2b2/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

# Build type specific exports if any.

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/r2b2/setup.sh" ]; then . "/opt/ros/r2b2/setup.sh"; fi && \
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX="/opt/ros/r2b2" -DAMENT_PREFIX_PATH="/opt/ros/r2b2"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/r2b2/setup.sh" ]; then . "/opt/ros/r2b2/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/r2b2/setup.sh" ]; then . "/opt/ros/r2b2/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/r2b2/setup.sh" ]; then . "/opt/ros/r2b2/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-r2b2-depthimage-to-laserscan//opt/ros/r2b2/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/r2b2/setup.sh" ]; then . "/opt/ros/r2b2/setup.sh"; fi && \
	dh_auto_install
